//Source file: PamInvalidCredentialException.java
//Date: January 2004
//Presence and Availabilty Management Data Types for 3GPP TS 29.198-14 v5.4.0

package org.csapi.jr.se.pam;

/**
 * Indicates that the credential presented is not recognized or insufficient for the operation
 *
 */
public class PamInvalidCredentialException extends org.csapi.jr.se.pam.PamException {

    private Throwable _cause = null;

    public PamInvalidCredentialException() {
        super(); 
    }

    public PamInvalidCredentialException(String message) {
        super(message); 
    }

    public PamInvalidCredentialException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public PamInvalidCredentialException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // PamInvalidCredentialException

