//Source file: PamIsCyclicException.java
//Date: January 2004
//Presence and Availabilty Management Data Types for 3GPP TS 29.198-14 v5.4.0

package org.csapi.jr.se.pam;

/**
 * Indicates that the requested operation will create cyclic relationship
 *
 */
public class PamIsCyclicException extends org.csapi.jr.se.pam.PamException {

    private Throwable _cause = null;

    public PamIsCyclicException() {
        super(); 
    }

    public PamIsCyclicException(String message) {
        super(message); 
    }

    public PamIsCyclicException(String message, Throwable cause) {
        super(message); 
        _cause = cause;
    }

    public PamIsCyclicException(Throwable cause) {
        _cause = cause; 
    }

    public Throwable getCause() {
        return _cause;
    } 

} // PamIsCyclicException

