//Source file: AppPAMPreferenceCheck.java
//Date: January 2004
//Presence and Availabilty Management Interfaces for 3GPP TS 29.198-14 v5.4.0

package org.csapi.jr.se.pam.access;

/**
 * This interface represents an AppPAMPreferenceCheck.<BR>
 *
 */
public interface AppPAMPreferenceCheck extends org.csapi.jr.se.CsapiInterface {

    /**
     * Computes the availability for an identify for a given context.
     */
    org.csapi.jr.se.pam.PAMAvailabilityProfile[] computeAvailability(
           java.lang.String                identity,
           org.csapi.jr.se.pam.PAMContext pamContext,
           java.lang.String[]              attributeNames,
           byte[]                          authToken);

}

